#![allow(clippy::unused_self)]

use crate::space::mm::MmStruct;

pub(crate) struct MmContext;

impl MmContext {
    pub(crate) const fn new() -> Self {
        MmContext
    }
}

impl MmStruct {
    #[inline(always)]
    pub(crate) fn check_and_switch_context(&self) {
        unreachable!();
    }
}

pub(crate) fn context_init() {
    unreachable!()
}

pub(crate) fn context_init_cpu() {
    unreachable!()
}
